%define name rvm
%define version 1.2
%define release 3mdk
%define major 1

Summary: RVM library
Name: %name
Version: %version
Release: %release
Source: %name-%{version}.tar.bz2
Copyright: LGPL
Buildroot: %_tmppath/%name-buildroot
Group: Development/Other
Provides: lib%{name}%{major}

%description
The RVM persistent recoverable memory library. The RVM library is used by
the Coda distributed filesystem.

%package -n lib%{name}%{major}
Summary: RVM tools
Group: Development/Other
Obsoletes: %{name}

%description -n lib%{name}%{major}
The RVM persistent recoverable memory library. The RVM library is used by
the Coda distributed filesystem.

%package -n lib%{name}%{major}-devel
Summary: RVM library development files
Group: Development/Other
Requires: lib%{name}%{major} >= %{version}
Obsoletes: %{name}-devel

%description -n lib%{name}%{major}-devel
Headers and static libraries for developing programs using the RVM library.
The RVM library is used by the Coda distributed filesystem.

%package tools
Summary: RVM tools
Group: Development/Other
Requires: rvm >= %{version}

%description tools
Userspace tools to initialize and manipulate RVM log and data segments.
The RVM library is used by the Coda distributed filesystem.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make

%install
%makeinstall
chmod 755 $RPM_BUILD_ROOT%{_libdir}/librvm.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/librvmlwp.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libseg.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/librds.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/librdslwp.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n lib%{name}%{major}

%postun -p /sbin/ldconfig -n lib%{name}%{major}

%files -n lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/librvm.so.*
%{_libdir}/librvmlwp.so.*
%{_libdir}/libseg.so.*
%{_libdir}/librds.so.*
%{_libdir}/librdslwp.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%{_libdir}/librvm.la
%{_libdir}/librvm.a
%{_libdir}/librvm.so
%{_libdir}/librvmlwp.la
%{_libdir}/librvmlwp.a
%{_libdir}/librvmlwp.so
%{_libdir}/libseg.la
%{_libdir}/libseg.a
%{_libdir}/libseg.so
%{_libdir}/librds.la
%{_libdir}/librds.a
%{_libdir}/librds.so
%{_libdir}/librdslwp.la
%{_libdir}/librdslwp.a
%{_libdir}/librdslwp.so
%dir %{_includedir}/rvm
%{_includedir}/rvm/rvm.h
%{_includedir}/rvm/rvm_statistics.h
%{_includedir}/rvm/rvm_segment.h
%{_includedir}/rvm/rds.h

%files tools
%defattr(-,root,root)
%{_sbindir}/rvmutl
%{_sbindir}/rdsinit

%changelog
* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-2mdk
- clean spec
- macros

* Thu Nov 16 2000 Florin Grad <florin@mandrakesoft.com> 1.2-1mdk
- 1.2.1
* Thu Aug 31 2000 Florin Grad <florin@mandrakesoft.com> 1.1-2mdk
- adding the macros
* Fri Jul 7 2000 Florin Grad <florin@mandrakesoft.com> 1.1-1mdk
- First attempt.
